# Contributing

This repository follows STScI's guidelines for group work in `git`. 

New contributions and contributors are very welcome!

If you would like to report a bug, give feedback, suggest changes, or have a feature request, 
please open an issue in the Issues tab of the repository or submit a ticket in 
the [JWST Help Desk](https://jwsthelp.stsci.edu). 

If there is a fix, feature, or improvement you would like to work on, please do the following:
1. Create a personal fork of this repository on GitHub
2. Make a local clone of your personal fork
3. Ensure your local copy is pointing upstream properly with:
    ```bash
    $ git remote add upstream https://github.com/spacetelescope/jwst_novt.git
    $ git remote -v
    ```
4. Create a branch on that local copy
5. Make your changes
6. Push that branch to your personal fork on GitHub (i.e. origin)
7. On the spacetelescope repository, create a pull request from your personal fork to the "main" branch
8. Assign a reviewer (@melanieclarke, @lubeda)
9. Iterate with the reviewer over any needed changes until the reviewer accepts and merges your branch

You may also open a pull request earlier, while you are still working on the code, and mark it 
as "work-in-progress" until it is ready for review.

If you need help getting started, leave a comment, and we will be happy to assist.

We follow the Spacetelescope [Code of Conduct](CODE_OF_CONDUCT.md) and strive to provide a welcoming 
community to all our users and contributors.
